package com.project.zcustom.domain.addional;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.project.zcustom.controller.core.CustomBaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import lombok.experimental.Accessors;

/**
 * 地区编码对象 large_plat_app_org
 *
 * @author change
 * @date 2024-12-30
 */
@Data
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = false)
@JsonInclude(JsonInclude.Include.NON_NULL)
public class LargeUnit extends CustomBaseEntity {

    /**
     * $column.columnComment
     */
    @TableId(value = "id")
    private Long id;

    /**
     * 地区编码
     */
    private String unitCode;

    private String parentUnitCode;

    /**
     * 地区名称
     */
    private String unitName;

    /**
     * 接入标志
     */
    private String connectFlag;

    @TableField(exist = false)
    private Long projectNum;

    @TableField(exist = false)
    private Long cameraNum;

    @TableField(exist = false)
    private Long onlineCameraNum;

}
