package com.project.zcustom.domain.property;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.project.zcustom.controller.core.CustomBaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import lombok.experimental.Accessors;

/**
 * 工具列对象 plat_property_tools
 *
 * @author change
 * @date 2024-10-21
 */
@Data
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = false)
@TableName("large_plat_property_tools")
public class PlatPropertyTools extends CustomBaseEntity {

    /**
     * 主键id
     */
    @TableId(value = "id")
    private Long id;

    /**
     * 地区编码
     */
    private String appOrg;

    /**
     * 工具名称
     */
    private String toolsNameFirst;

    /**
     * 工具数量
     */
    private Long toolsNumFirst;

    /**
     * 工具名称
     */
    private String toolsNameTwo;

    /**
     * 工具数量
     */
    private Long toolsNumTwo;

    /**
     * 工具名称
     */
    private String toolsNameThird;

    /**
     * 工具数量
     */
    private Long toolsNumThird;

    /**
     * 工具名称
     */
    private String toolsNameFour;

    /**
     * 工具数量
     */
    private Long toolsNumFour;

}
